ranges::join_view< Rng >::cursor< Const > Struct Template Reference

## Public Types

using | single_pass = meta::bool_< single_pass_iterator_< iterator_t< COuter > >||single_pass_iterator_< iterator_t< CInner > >||!ref_is_glvalue::value >

## Public Member Functions

constexpr auto | arrow () -> iterator_t< CInner > requires detail::has_arrow_< iterator_t< CInner >>
template<bool Other>
CPP_TEMPLATE_AUX_0 | c (requires Const &&(!(Other)) &&convertible_to< iterator_t< Rng >, iterator_t< COuter >> &&convertible_to< iterator_t< range_reference_t< Rng >>, iterator_t< CInner >>) ccconstexpr cursor(cursor< Other > that)
template<typename BeginOrEnd >
constexpr | cursor (Parent *rng, BeginOrEnd begin_or_end)
constexpr auto | equal (cursor const &that) const -> bool requires ref_is_glvalue::value &&equality_comparable< iterator_t< COuter >> &&equality_comparable< iterator_t< CInner >>
constexpr bool | equal (default_sentinel_t) const
constexpr auto const ccconstexpr auto | move () CPP_AUTO_FUN_RETURNS_CONST_0/(const
constexpr void | next ()
constexpr auto | prev () -> void requires ref_is_glvalue::value &&bidirectional_range< COuter > &&bidirectional_range< CInner > &&common_range< CInner >
constexpr auto | read () CPP_AUTO_FUN_RETURNS_CONST_0 c(const